CLOOG(1)

NAME
CLooG - The Chunky Loop Generator

SYNOPSIS
cloog [ options | file ] ...

DESCRIPTION

  Options for code generation:

-l <depth>
    Last loop depth to optimize (-1: infinity) (default setting: -1).

-f <depth>
    First loop depth to start loop separation (-1: infinity) (default setting: 1).

-stop <depth>
    Loop depth to stop code generation (-1: infinity) (default setting: -1).

-strides <boolean>
    Handle non-unit strides (1) or not (0) (default setting: 0).

-first-unroll <depth> First loop dimension to unroll (-1: no unrolling)

  Options for pretty printing:

-otl <boolean>
    Simplify loops running one time (1) or not (0) (default setting: 1).

-esp <boolean>
    Allow complex equalities spreading (1) or not (0) (default setting: 0).

-fsp <level>
    First level to begin the spreading (default setting: 1).

-block <boolean>
    Make a new statement block per iterator in C programs (1) or not (0) (default setting: 0).

-compilable <number>
    Compilable code by using preprocessor (not 0) or not (0), number being the value of the parameters (default setting: 0).

-callable <boolean>
    Testable code by using preprocessor (not 0) or not (0) (default setting: 0).

  General options:

-o <output>
    Name of the output file; 'stdout' is a special value: when used, output is standard output (default setting: stdout).

-v, --version
    Display the version information (and more).

-q, --quiet
    Don't print any informational messages.

-h, --help
    Display this information.

The special value 'stdin' for 'file' makes CLooG to read data on standard input.

For bug reporting or any suggestions, please send an email to the author <cedric.bastoul@inria.fr>.

----- This is a loop generator for scanning Z-polyhedra. It is based on the work of F. Quillere and C. Bastoul on high level code generation and of the PolyLib Team on polyhedral computation. This program is distributed under the terms of the GNU Lesser General Public License (details at http://www.gnu.org/licenses/lgpl-2.1.html). ----- It would be fair to refer the following paper in any publication resulting from the use of this software or its library: @InProceedings{Bas04, author = {Cedric Bastoul}, title = {Code Generation in the Polyhedral Model Is Easier Than You Think}, booktitle = {PACT'13 IEEE International Conference on Parallel Architecture

    and Compilation Techniques},

pages = {7--16}, month = {september}, year = 2004, address = {Juan-les-Pins} } ----- For any information, please ask the author at <cedric.bastoul@inria.fr>.

SEE ALSO
The full documentation for CLooG is maintained as a Texinfo manual. If the info and CLooG programs are properly installed at your site, the command

    info CLooG

should give you access to the complete manual.